> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Data

> ```
GET api/v1/upload
```




## OpenAPI

````yaml transaction-monitoring-model.json GET /upload
openapi: 3.1.0
info:
  title: Sigma API
  description: Sigma Transaction Monitoring API documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sigmaprod.sabipay.com/api/v1
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /upload:
    get:
      description: Upload data
      parameters:
        - name: fileType
          in: query
          required: true
          schema:
            type: string
            example: gz
          description: Type of the file to be uploaded
        - name: access
          in: query
          required: true
          schema:
            type: string
            example: private
          description: Access level of the uploaded file
      responses:
        '200':
          description: Upload response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Signed url for upload generated successfully
                    description: Message after upload URL is generated
                  data:
                    type: object
                    properties:
                      key:
                        type: string
                        example: 2023-06-22/75abbbdf-e8ee-40c2-9ca6-e7310cb7b757.gz
                        description: The unique storage key of the uploaded file
                      url:
                        type: string
                        format: uri
                        example: >-
                          https://sigma-upload.s3.us-east-2.amazonaws.com/2023-06-22/75abbbdf-e8ee-40c2-9ca6-e7310cb7b757.gz?...
                        description: Pre-signed URL for direct file upload to S3
              example:
                message: Signed url for upload generated successfully
                data:
                  key: 2026-06-11/42bcf3ad-8b1f-4f3d-a4fb-35bf829f9db1.gz
                  url: >-
                    https://sigma-upload.s3.us-east-2.amazonaws.com/2026-06-11/42bcf3ad-8b1f-4f3d-a4fb-35bf829f9db1.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Signature=sample
        '400':
          description: Invalid input or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      example:
        error: 400
        message: 'Invalid request payload: transactionData.reference is required'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    ApiSecretAuth:
      type: apiKey
      in: header
      name: apiSecret

````